var mountOrder = 1;
export function Updater(instance, vnode) {
    //防止用户在构造器生成JSX
    this._mountOrder = mountOrder++;
    this._instance = instance;
    this._pendingCallbacks = [];
    this._pendingStates = [];
    this._currentElement = vnode;//用于DevTools工具中，通过实例找到生成它的那个虚拟DOM
    this._lifeStage = 0; //判断生命周期
    this._hostNode = null;
    vnode._instance = instance;
}

Updater.prototype = {
    isMounted: function(){
        return !!this._hostNode;
    },
    mergeStates: function(){
        
    }

};